Bug 160945 - Mounted DVDs unreadable (wrong owner/permissions)
Mounted DVDs unreadable (wrong owner/permissions)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
All Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
: Reopened
: 217530 430553 432301 478415 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-18 21:53 EDT by Hardy Mayer
Modified: 2013-03-05 22:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:20:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Te /etc/mtab file with the dvd-rw drives mounted (1.26 KB, text/plain)
2005-06-19 16:07 EDT, Hardy Mayer
no flags Details
The not quite correct /etc/fstab going wtih /etc/mtab (1.74 KB, text/plain)
2005-06-19 16:07 EDT, Hardy Mayer
no flags Details
after a clean reboot (1.63 KB, text/plain)
2005-06-20 12:31 EDT, Hardy Mayer
no flags Details
after reboot -- no media in /media/cdrecorder(1) (923 bytes, text/plain)
2005-06-20 12:32 EDT, Hardy Mayer
no flags Details
With Movie DVD in /dev/hdd and unprotected DVD in /dev/scd0 (1.02 KB, text/plain)
2005-06-20 12:39 EDT, Hardy Mayer
no flags Details

  None (edit)
Description Hardy Mayer 2005-06-18 21:53:50 EDT
Description of problem:Video DVDs (both copy-proteted and not, both on an
internal IDE DVD+RW drive and an external USB2 d2 drive) cannot be read by
Vidoe-playing software (Xine, VCL, Totem). They appear with wrong ownership and
permissions. For instance:
 ls -alt cdrecorder
total 14
drwxr-xr-x  5 root       root       4096 Jun 18 17:02 ..
drwxrwxrwx  4 4294967295 4294967295  136 May 27 20:43 .
drwxrwxrwx  2 4294967295 4294967295   40 May 27 20:43 AUDIO_TS
dr--r--r--  2 4294967295 4294967295  612 May 27 20:43 VIDEO_TS

On the other hand, xcdroast managed to copy the same DVD from the IDE drive to
the USB2 drive, which is really weird, since in FC3 this did not work. 

BTW, both drives were fine yesterday, in FC3 before I installed FC4 (with all
the latest updates). 



Version-Release number of selected component (if applicable):


How reproducible:
Every time.  (the drives worked fine under FC3, as well as in Mac Os 10.4.1
and even in windows). 


Steps to Reproduce:
1.Insert a DVD into the drive
2.Wait till it mounts in /media/cdrecorder ao /media/cdrecorder1
3.Run any video-player or just ls -al
  
Actual results:
Videos don't play (with error file... unreadable and: 

 ls -alt cdrecorder
total 14
drwxr-xr-x  5 root       root       4096 Jun 18 17:02 ..
drwxrwxrwx  4 4294967295 4294967295  136 May 27 20:43 .
drwxrwxrwx  2 4294967295 4294967295   40 May 27 20:43 AUDIO_TS
dr--r--r--  2 4294967295 4294967295  612 May 27 20:43 VIDEO_TS



Expected results:
Videos to play, files to be ownemd by root.root and be accessible, like on 
/media/cdrom: 
dr-xr-xr-x  7 root root     480 May 21  2004 .
drwxr-xr-x  5 root root    4096 Jun 18 17:02 ..
dr-xr-xr-x  2 root root    2036 May 21  2004 data
dr-xr-xr-x  4 root root     180 May 21  2004 HD
dr-xr-xr-x  7 root root    1828 May 21  2004 INSTALL



Additional info:
Comment 1 Hardy Mayer 2005-06-18 22:06:53 EDT
BTW -- Audio CDs play fine on the IDE DVD-drive (I use grip for playback and
ripping)
Comment 2 Hardy Mayer 2005-06-19 16:07:02 EDT
Created attachment 115664 [details]
Te /etc/mtab file with the dvd-rw drives mounted

I will send /etc/fstab as a separate attachment.
Comment 3 Hardy Mayer 2005-06-19 16:07:38 EDT
Created attachment 115665 [details]
The not quite correct /etc/fstab going wtih /etc/mtab
Comment 4 David Zeuthen 2005-06-20 11:40:11 EDT
So this is about /dev/scd0 right? It doesn't appear in the /etc/fstab, you only
got these two drives

/dev/hdd                /media/cdrecorder       auto   
pamconsole,exec,noauto,managed 0 0
/dev/hdc                /media/cdrom            auto   
pamconsole,exec,noauto,managed 0 0

So, if the entry is not in /etc/fstab I could understand that it's mounted
incorrectly; I'm assuming you're mounting by hand, right?
Comment 5 Hardy Mayer 2005-06-20 11:54:20 EDT
No, the fstab is created by the automounter, when I first plug in the USB2 cable
(for /dev/sdc0) or when I insert a DVD into the builtin IDE DVD+RW drive (I have
a Dell 8250). 
I will try rebooting with nothing in the drive and see what fstab-sync does. 
As I said, everything worked fine last week under FC3 (lated 2.6.11 kernel). 
Comment 6 Hardy Mayer 2005-06-20 12:31:02 EDT
Created attachment 115702 [details]
after a clean reboot
Comment 7 Hardy Mayer 2005-06-20 12:32:01 EDT
Created attachment 115703 [details]
after reboot -- no media in /media/cdrecorder(1)
Comment 8 Hardy Mayer 2005-06-20 12:39:00 EDT
Created attachment 115704 [details]
With Movie DVD in /dev/hdd and unprotected DVD in /dev/scd0

And the ownerships are still out of range and the VIDEO_TS subdirectory with
permission 444 instead of at least 755:

9:35]hardy@hardy{/media/cdrecorder}60$ ls -al
total 14
drwxrwxrwx   4 4294967295 4294967295  136 May 27 20:43 .
drwxr-xr-x  11 root	  root	     4096 Jun 20 09:02 ..

whereas  the USB-drive has different permissions: 

[9:37]hardy@hardy{/media/cdrecorder1}62$ ls -al
total 12
dr-xr-xr-x   3 4294967295 4294967295   88 Jan  4  2000 .
drwxr-xr-x  11 root	  root	     4096 Jun 20 09:02 ..
dr-xr-xr-x   2 4294967295 4294967295  716 Jan  4  2000 VIDEO_TS

drwxrwxrwx   2 4294967295 4294967295   40 May 27 20:43 AUDIO_TS
dr--r--r--   2 4294967295 4294967295  612 May 27 20:43 VIDEO_TS
Comment 9 Hardy Mayer 2005-06-23 14:52:09 EDT
I found a workaround (at least for the internal IDE DVD+RW drive): 
In /etc/fstab I replaced the line: 
/dev/hdd      /media/cdrecorder       auto    pamconsole,exec,noauto,managed 0 0
by:
/dev/hdd     /media/cdrecorder       auto   user,exec,dev,suid,uid=500,gid=0 0 0
and now the DVD drive mounts with permissions:

ls -l
total 2
dr-xr-xr-x  2 hardy root 716 Jan  4  2000 VIDEO_TS
[11:45]hardy@hardy{/media/cdrecorder}69$ ls -l VIDEO_TS/
total 8104808
-r--r--r--  1 hardy root       8192 Jan  4  2000 VIDEO_TS.BUP
-r--r--r--  1 hardy root       8192 Jan  4  2000 VIDEO_TS.IFO
-r--r--r--  1 hardy root     135168 Jan  4  2000 VTS_01_0.BUP
-r--r--r--  1 hardy root     135168 Jan  4  2000 VTS_01_0.IFO
-r--r--r--  1 hardy root   31514624 Jan  4  2000 VTS_01_0.VOB
-r--r--r--  1 hardy root 1073739776 Jan  4  2000 VTS_01_1.VOB
-r--r--r--  1 hardy root 1073739776 Jan  4  2000 VTS_01_2.VOB
-r--r--r--  1 hardy root 1073739776 Jan  4  2000 VTS_01_3.VOB
-r--r--r--  1 hardy root  844300288 Jan  4  2000 VTS_01_4.VOB
-r--r--r--  1 hardy root 1073739776 Jan  4  2000 VTS_01_5.VOB
-r--r--r--  1 hardy root 1073739776 Jan  4  2000 VTS_01_6.VOB
-r--r--r--  1 hardy root 1073739776 Jan  4  2000 VTS_01_7.VOB
-r--r--r--  1 hardy root  980783104 Jan  4  2000 VTS_01_8.VOB

and xine is able to play the movie (Totem crashes on it)

I don't know if these will suvive after a rebbot, but it seems to me that the
problem is caused by the "pamconsole" option put in by fstab-sync. 
I will see if the problem  gets solved on the USC2-mountd drive too, when I 
take it off my Mac. 
Comment 10 Hardy Mayer 2005-06-23 15:21:39 EDT
It worked on the usb-drive too. 
Comment 11 Hardy Mayer 2005-06-23 15:46:04 EDT
It also survived a reboot;  the only minor problem is that the reboot makes two
symlinks in /dev:
hdd -> dvd
scd0 -> dvd1
and xine defaults to /dev/dvd.  

Let's hope that you can fix the "pamconsole" problem!
Comment 12 Hardy Mayer 2005-06-24 18:52:53 EDT
Reading man fstab-sync I see that by invoking
# chattr +i /etc/fstab
you can prevent hal from managing the drives mounted under /media, and
thus avoid the problem I had. 

However, the "managed mounts" still need to be fixed for users who don't usually
dig into the man-pages!
Comment 13 sangu 2005-07-20 08:58:14 EDT
This problem still happens in hal-0.5.3-2.
$mount
[...]
/dev/hdd on /media/cdrom type udf (ro,nosuid,nodev,_netdev,user=sangu)

$ls -ld /dev/cdrom
dr-xr-xr-x  4 4294967295 4294967295 136 Feb  7  2036 /media/cdrom

$ls -l /dev/cdrom
total 4
dr-xr-xr-x  2 4294967295 4294967295   40 Feb  7  2036 AUDIO_TS
dr-xr-xr-x  2 4294967295 4294967295 1184 Feb  7  2036 VIDEO_TS

$cat /etc/fstab | grep cdrom
/dev/hdd                /media/cdrom            auto   
pamconsole,exec,noauto,managed 0 0
Comment 14 Hardy Mayer 2005-07-20 10:33:08 EDT
The latest version of hal seems to be hal-0.5.2-2. 
Comment 15 Christian Iseli 2007-01-22 05:34:12 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 16 petrosyan 2008-02-16 18:10:24 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 17 Axel Thimm 2009-05-24 01:56:12 EDT
This bug is resurfacing in other bug reports. While the user/group issue seems to be fixed (at least on some DVDs I tested), the permissions on udf are not.

Note: The DVDs are broken, but there are that many broken DVDs out there, either commercially or home-made, that pointing out to users that Fedora is correct and they are not is just alienating them away from Fedora and Linux.
Comment 18 Axel Thimm 2009-05-24 02:52:08 EDT
The problem seems to be with data DVDs as well.
Comment 19 Axel Thimm 2009-05-24 03:32:46 EDT
*** Bug 478415 has been marked as a duplicate of this bug. ***
Comment 20 Axel Thimm 2009-05-24 03:34:02 EDT
*** Bug 432301 has been marked as a duplicate of this bug. ***
Comment 21 Axel Thimm 2009-05-24 03:34:32 EDT
*** Bug 430553 has been marked as a duplicate of this bug. ***
Comment 22 Axel Thimm 2009-05-24 03:37:04 EDT
*** Bug 217530 has been marked as a duplicate of this bug. ***
Comment 23 Axel Thimm 2009-05-24 03:49:24 EDT
There is a kernel patch for adding mode/dmode options to udf filesystems:

http://lkml.org/lkml/2008/11/16/229

This is supposed to be in 2.6.30. Rawhide seems to already inject mode/dmode lines into fstab, so all that is needed is a 2.6.30 kernel or a backport of the mode/dmode patch to udf.
Comment 24 Bug Zapper 2009-06-09 05:07:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2010-04-27 07:37:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2010-06-28 06:20:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.